
#REM			Dom's Wind Power Tracker
		     Version 1.0  21st June 2008
#ENDREM

#picaxe 08m


symbol duty    = w0
symbol oldamps = w1
symbol newamps = w2


Setup:
	oldamps = 0
	duty = 500
	
Run:
	readadc10 1, newamps						; read in amps
	if newamps > oldamps and duty < 1000 then inc duty	; up duty if more
	else if duty > 100 then dec duty: endif			; down duty if less
	pwmout 2, 249, duty						; adjust pulse width	 
	oldamps = newamps							; reset
	goto Run

END
